MS-SYS(1)

NAMN
ms-sys - skriv Microsoft bootblock

SYNOPSIS
ms-sys [val] [enhet]

BESKRIVNING
ms-sys skriver Microsoft kompatibla bootsektorer.

OPTIONS
En sammanfattning av alla val listas nedan:

-1, --fat12
    Skriv en FAT12 diskett boot sektor till enheten.

-2, --fat32nt
    Skriv en FAT32 partition NT boot sektor till enheten.

-e, --fat32pe
    Skriv en FAT32 partition PE boot sektor till enheten, för USB installation och reparation.

-3, --fat32
    Skriv en FAT32 partition DOS (Win9x) boot sektor till enheten.

-4, --fat32free
    Skriv en FAT32 partition FreeDOS boot sektor till enheten.

-5, --fat16free
    Skriv en FAT16 partition FreeDOS boot sektor till enheten.

-6, --fat16
    Skriv en FAT16 partition DOS (Win9x) boot sektor till enheten.

-n, --ntfs
    Skriv en NTFS partition Windows 7 boot sektor till enheten. Denna funktionalitet är dock enbart experimentell och sannolikt ej användbar.

-o, --fat16ros
    Skriv en FAT16 partition ReactOS boot sektor till enheten.

-c, --fat32ros
    Skriv en FAT32 partition ReactOS boot sektor till enheten.

-q, --fat32kos
    Skriv en FAT32 partition KolibriOS boot sektor till enheten.

-l, --wipelabel
    Nollställ partitionens etikett i boot sektorn.

-p, --partition
    Skriv partitionsinformation (dolda sektorer, huvuden och drive id) till boot sektor. Detta kan behövas på en del partitioner beroende på vilket program som skapade filsystemet.

-H <n>, --heads <n>
    Ange antal huvuden då valet -p används.

-O <s>, --writeoem <s>
    Skriver OEM ID <s> till filsystem.

-S <x>, --writewds <x>
    Skriver hexadecimalt <x> Windows Disk Signatur till MBR.

-7, --mbr7
    Skriv en Windows 7 master boot sektor till enheten. Detta ändrar ej windows disk signatur (byte 01b8-01bd). Denna MBR kan boota viss partitionstyper bortom cylinder 1024 med hjälp av LBA-adressering.

-i, --mbrvista
    Skriv en Windows Vista master boot sektor till enheten. Detta ändrar ej windows disk signatur (byte 01b8-01bd). Denna MBR kan boota viss partitionstyper bortom cylinder 1024 med hjälp av LBA-adressering.

-m, --mbr
    Skriv en Windows 2000/XP/2003 master boot sektor till enheten. Detta ändrar ej windows disk signatur (byte 01b8-01bd). Denna MBR kan boota vissa partitionstyper bortom cylinder 1024 med hjälp av LBA-adressering.

-9, --mbr95b
    Skriv en Windows 95B/98/98SE/ME master boot sektor till enheten. Detta ändrar ej windows disk signatur (byte 01b8-01bd) eller boot enhet och tid (byte 00da-00df). Denna MBR kan boota FAT-LBA partitioner av typ 0c och 0e bortom cylinder 1024 med hjälp av LBA-adressering.

-d, --mbrdos
    Skriv en DOS/Windows NT master boot sektor till enheten. Detta ändrar ej windows disk signatur (byte 01b8-01bd). Denna MBR kan inte boota bortom cylinder 1024 då den ej stödjer LBA-adressering.

-s, --mbrsyslinux
    Skriv en syslinux master boot sektor till enheten. Detta ändrar ej windows disk signatur (byte 01b8-01bd). Denna MBR kan boota alla partitionstyper bortom cylinder 1024 med hjälp av LBA-adressering.

-t, --mbrgptsyslinux
    Skriv en GPL syslinux GPT MBR till enheten. Denna MBR bootar från en GPT partitionstabell.

-a, --mbrreactos
    Skriv en ReactOS MBR till enheten.

-k, --mbrkolibrios
    Skriv en KolibriOS MBR till enheten.

-r, --mbrrufus
    Skriv en Rufus MBR till enheten. Denna MBR bootar från en GPT partitionstabell.

-g, --mbrgrub4dos
    Skriv en Grub4Dos MBR till enheten.

-b, --mbrgrub2
    Skriv en Grub 2 MBR till enheten.

-z, --mbrzero
    Skriv en tom (nollställd, icke-bootbar) master boot record till enheten. Nollställer alla byte utom partitionstabellen och signatur id (bytes 01be-01ff). Denna funktionalitet motsvarar den tomma DOS partitionstabell som fdisk skapar.

-f, --force
    Tvingar fram skrivning av boot sektor.

-h, --help
    Visar hjälp.

-v, --version
    Visar programmets version.

-w, --write
    Skriv automatiskt vald boot sektor till enheten.

Om ms-sys startas utan val görs en enkel diagnos av vald enhet.

EXEMPEL

Notera att Windows ME är ej användbart för att skapa fristående bootdisketter. Dock fungerar Win9x och DOS med de första två exemplen.

Skapande av en 1.68 MB bootbar diskett

Detta exempel förutsätter att du har din windowsinstallation monterad under
    /dosc samt att du har verktygen mtools och fdformat installerade.

fdformat /dev/fd0u1680
mformat a:
ms-sys -w /dev/fd0
mcopy /dosc/io.sys a:
mcopy /dosc/msdos.sys a:
mcopy /dosc/command.com a:

Skapande av en bootbar 2.8 MB diskettavbild att använda med en el-torito bootbar CD

dd if=/dev/zero of=floppy288.img bs=1024 count=2880
/sbin/mkdosfs floppy288.img
ms-sys -1 -f floppy288.img
su
mount -o loop floppy288.img /mnt
cp msdos.sys /mnt/
cp io.sys /mnt/
cp command.com /mnt/
(Lämpligen installeras även config.sys och autoexec.bat med stöd för CDROM)
umount /mnt
exit
cp floppy288.img cd-files/boot.img
mkisofs -b boot.img -c boot.cat -o cdimage.iso cd-files
(bränn sedan filen cdimage.iso till en CD med cdrecord eller annat program)

Återläsning från backup av Win9x eller Win ME till en ny hårddisk

Steg 1, använd GNU parted för att skapa FAT32 partition och filsystem:

parted (skapa sedan partition och filsystem)

Steg 2, skriv MBR:

ms-sys -w /dev/hda

Steg 3, skriv FAT32 partitionens bootsektor:

ms-sys -w /dev/hda1

Steg 4, montera ditt nya filsystem:

mount /dev/hda1 /mnt

Step 5, läs tillbaka din backup

cd /mnt; tar -xzvf /path/to/my_windows_backup_file.tgz

MILJÖVARIABLER
Miljövariablerna LANG och LC_ALL har sin vanliga betydelse, dock är antalet översättningar begränsat.

FEL
Det har kommit rapporter om icke bootbara FAT32 partitioner som skapats med "mformat -F c:". Samma problem har också rapporterats om partitioner formatterats med mkdosfs och mkfs.vfat. En workaround är att använda gnu parted för att skapa partitionen i stället. Sen version 1.1.3 har ms-sys valet -p som skall lösa problemet. Tyvärr fungerar ej valet -p automatiskt med Linux kärna 2.6 och ej heller gnu parted fungerar tillförlitligt med kärna 2.6. Workaround som återstår är att använda ms-sys med Linux kärna 2.4 eller manuellt ange antalet huvuden med valet -H. Om systemet har bootats med LILO kan det korrekta antalet huvuden fås fram av kommandot "lilo -T geom".

NTFS-partitions bootsektorer skrivna med ms-sys är sannolikt ej användbara. Från Windows 7 användare har det rapporterats att om man gör "sysprep" innan man skapar en avbild av en NTFS partition kan det göra den återskapade partitionen bootbar.

AUTHOR
Denna manualsida skrevs ursprungligen av Gürkan Sengün och har därefter uppdaterats av Henrik Carlqvist. Programmet ms-sys har till största delen skrivits avHenrik Carlqvist, filen CONTRIBUTORS i källkodsarkivet innehåller en komplett lista över de som bidragit.

SE OCKSÅ
mformat(1) fdformat(8) mkdosfs(8) mkisofs(8) parted(8)